[SPIKE]: identify what proportion of portal requests lack JS support
Closed, ResolvedPublic3 Story Points

Description

To identify whether we need to build a non-JS version of the portal, we need to look at the support for JS that portal users have. Should be simple enough by looking at the delta between page requests and EventLogging calls.

Ironholds updated the task description. (Show Details)
Ironholds raised the priority of this task from to Needs Triage.
Ironholds claimed this task.
Ironholds added a subscriber: Ironholds.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 25 2016, 1:30 PM
Ironholds set Security to None.Jan 25 2016, 1:30 PM
Ironholds edited a custom field.
Ironholds moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
Deskana triaged this task as Normal priority.Feb 4 2016, 9:04 PM
Deskana added a subscriber: Deskana.

Moving back into the backlog, presently at the top of the column, as this task is now unblocked.

Deskana removed Ironholds as the assignee of this task.Feb 9 2016, 9:05 PM
mpopov claimed this task.
mpopov edited a custom field.
mpopov added a subscriber: debt.
mpopov added a comment.EditedFeb 11 2016, 4:32 AM

Draft of the report at https://github.com/wikimedia-research/wikipedia-portal-js/blob/master/report.pdf

Let me know if there's anything that's not clear or downright wrong. Sometime tomorrow I'm going to add on why we're interested in this in the first place along with a brief summary,, but for those familiar with the context who can't wait, the report is more or less done.

Also I'd LIKE to make the dataset publicly available but even though it doesn't contain any PII, I don't think I can under the current guidelines (https://office.wikimedia.org/wiki/Discovery_data_access_guidelines), but that's a topic for a different day. Also it's 8:30PM right now because apparently I liked working on this more than I like myself :\

debt added a comment.Feb 11 2016, 5:18 PM

@mpopov great work! :)

I do have a question about this sentence:

"The rationale for this being that if a user visits wikipedia.org, their browser may or may not make a request for the JS file depending on their settings and JS support, but their browser will definitely make a request for the JS file."

Does this mean that even if a user purposely turned off JS in their browser (for various personal concerns) that the browser will STILL make a call for the JS file and thus over-riding what the user wants?

@mpopov great work! :)

I do have a question about this sentence:

"The rationale for this being that if a user visits wikipedia.org, their browser may or may not make a request for the JS file depending on their settings and JS support, but their browser will definitely make a request for the JS file."

Does this mean that even if a user purposely turned off JS in their browser (for various personal concerns) that the browser will STILL make a call for the JS file and thus over-riding what the user wants?

Thanks! Oy! That's a brain toot and should be "…definitely make a request for the Wordmark file."

This is a tremendously thorough report. Well done Mikhail! :D

To me this suggests we should build support; not just because 10%-of-traffic is lots but because of where that traffic comes from (underserved areas).

What are the guideline concerns you have around the data?

Final draft: https://commons.wikimedia.org/wiki/File:Analysis_of_Wikipedia_Portal_Traffic_and_JavaScript_Support.pdf

I agree with Oliver's conclusion! We should be very careful about putting a lot of support into JS-heavy/only features because so many people won't be able to have that experience.

I made the dataset available publicly (no PII, only aggregated data): https://github.com/wikimedia-research/wikipedia-portal-js/blob/master/portal-js.csv Let me know if I need to remove it.

This is a tremendously thorough report. Well done Mikhail! :D

And thanks! :P

Deskana closed this task as Resolved.Feb 22 2016, 10:02 PM

All done! Nice job.